Package org.gradle.testkit.runner

# Class UnexpectedBuildResultException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.testkit.runner.UnexpectedBuildResultException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnexpectedBuildFailure`, `UnexpectedBuildSuccess`

public abstract class UnexpectedBuildResultException extends RuntimeException
Base class for `UnexpectedBuildFailure` and `UnexpectedBuildSuccess`.

Since:
  2.9
See Also:
  - `BuildResult`
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildResult`
  `getBuildResult()`
  The result of the build execution.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getBuildResult

    public BuildResult getBuildResult()
    The result of the build execution.
    Returns:
      the result of the build execution